package dmoisan.xml.tvschedule;
/**
* class ProgramItem
*    Stores program information that is passed to the
*    TVScheduleOutputObject. Mainly a convienience class
*
*/
public class ProgramItem {

/**
* Public instance fields
*/
     public String Showtime;
     public String Title;
     public String Description;
     public String Language;
     public String Rating;
     public String VCR;
     public boolean Liveshow;
     public boolean Newshow;

/**
* Private class fields
*
*/
private static final String ENDLINE = System.getProperty("line.separator");

/**
* Public Constructors
*/
     ProgramItem() {
          this.Showtime = "";
          this.Title = "";
          this.Description = "";
          this.Language = "";
          this.Rating = "";
          this.VCR = "";
          this.Liveshow = false;
          this.Newshow = false;
          }

     ProgramItem(String showtime, String title, String description, 
                    String language, String rating, String vcr,
                    boolean liveshow, boolean newshow) {

          this.Showtime = showtime;
          this.Title = title;
          this.Description = description;
          this.Language = language;
          this.Rating = rating;
          this.VCR = vcr;
          this.Liveshow = liveshow;
          this.Newshow = newshow;

          }

/** 
* public instance methods
*
* toString() (Overrides Object)
* @returns String
*
*/
     public String toString() {
          return("Show time: "+this.Showtime+ ENDLINE
               +"Title: "+this.Title + ENDLINE
               +"Description: "+this.Description+ENDLINE
               +"Language: "+this.Language+ENDLINE
               +"Rating: "+this.Rating+ENDLINE
               +"VCR: "+this.VCR+ENDLINE
               +"Liveshow: "+this.Liveshow+ENDLINE
               +"Newshow: "+this.Newshow+ENDLINE);
    }
}
